<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/AVS Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">AVS Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Directory dependency graph for AVS:</div>
<div class="dyncontent">
<div class="center"><img src="dir_80711c2a226d5fced33fce22558d3784_dep.png" border="0" usemap="#dir__80711c2a226d5fced33fce22558d3784__dep" alt="/workplace/avs-device-sdk/AVSCommon/AVS"/></div>
<map name="dir__80711c2a226d5fced33fce22558d3784__dep" id="dir__80711c2a226d5fced33fce22558d3784__dep">
<area shape="rect" id="node2" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html" title="include" alt="" coords="133,157,205,205"/>
<area shape="rect" id="node5" href="dir_97afc8111b754cf401b73024f872f45d.html" title="SDKInterfaces" alt="" coords="333,157,440,205"/>
<area shape="rect" id="edge8-headlabel" href="dir_000044_000016.html" title="18" alt="" coords="307,166,322,180"/>
<area shape="rect" id="node6" href="dir_49dd3d9ac5586189aa170bac46425b9c.html" title="Utils" alt="" coords="257,253,329,301"/>
<area shape="rect" id="edge9-headlabel" href="dir_000044_000061.html" title="14" alt="" coords="240,236,254,249"/>
<area shape="rect" id="node3" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html" title="src" alt="" coords="37,61,109,109"/>
<area shape="rect" id="edge11-headlabel" href="dir_000055_000044.html" title="27" alt="" coords="131,131,145,145"/>
<area shape="rect" id="edge10-headlabel" href="dir_000055_000061.html" title="26" alt="" coords="268,227,283,240"/>
<area shape="rect" id="node4" href="dir_17565a3651b6551653a4e14cb661c95c.html" title="test" alt="" coords="133,61,205,109"/>
<area shape="rect" id="edge7-headlabel" href="dir_000058_000044.html" title="15" alt="" coords="170,132,185,145"/>
<area shape="rect" id="edge5-headlabel" href="dir_000058_000016.html" title="4" alt="" coords="316,138,323,151"/>
<area shape="rect" id="edge6-headlabel" href="dir_000058_000061.html" title="4" alt="" coords="294,227,301,240"/>
<area shape="rect" id="edge2-headlabel" href="dir_000016_000044.html" title="19" alt="" coords="216,183,231,196"/>
<area shape="rect" id="edge1-headlabel" href="dir_000016_000061.html" title="13" alt="" coords="320,238,335,252"/>
<area shape="rect" id="edge4-headlabel" href="dir_000061_000044.html" title="10" alt="" coords="207,214,222,227"/>
<area shape="rect" id="edge3-headlabel" href="dir_000061_000016.html" title="19" alt="" coords="345,207,360,220"/>
<area shape="rect" id="clust2" href="dir_80711c2a226d5fced33fce22558d3784.html" alt="" coords="27,51,312,216"/>
<area shape="rect" id="clust1" href="dir_13e65effb2bde530b17b3d5eefcd0266.html" title="AVSCommon" alt="" coords="16,16,323,227"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="subdirs"></a>
Directories</h2></td></tr>
<tr class="memitem:dir_a8d3deb3c1282038af9ce4454694c1e1"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_d94cc11696d13ea67fe90a2d6eb692db"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_17565a3651b6551653a4e14cb661c95c"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_17565a3651b6551653a4e14cb661c95c.html">test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
